EJBQLNegative (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.ejbql.parser, class: EJBQLNegative

# Class EJBQLNegative

java.lang.Object
org.apache.cayenne.ejbql.parser.SimpleNode
org.apache.cayenne.ejbql.parser.EJBQLNegative

All Implemented Interfaces:
  `Serializable, EJBQLExpression, Node`

public class EJBQLNegative extends SimpleNode

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EJBQLNegative(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `visitNode(EJBQLExpressionVisitor visitor)`
  Visits this node without recursion.

  ### Methods inherited from class SimpleNode

  `getChild, getChildrenCount, getName, getText, isNegated, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setText, toString, visit, visitChild`
  Modifier and Type
  Method
  Description
  `EJBQLExpression`
  `getChild(int index)`
  Returns a child expression node at the specified index.
  `int`
  `getChildrenCount()`
  Returns a number of child operands of this expression node.
  `String`
  `getName()`
  `String`
  `getText()`
  Returns a text property of the node.
  `boolean`
  `isNegated()`
  Returns an optional boolean flag that negates the value of the expression.
  `void`
  `jjtAddChild(Node n, int i)`
  This method tells the node to add its argument to the node's list of children.
  `void`
  `jjtClose()`
  This method is called after all the child nodes have been added.
  `Node`
  `jjtGetChild(int i)`
  This method returns a child node.
  `int`
  `jjtGetNumChildren()`
  Return the number of children the node has.
  `Node`
  `jjtGetParent()`
  `void`
  `jjtOpen()`
  This method is called after the node has been made the current node.
  `void`
  `jjtSetParent(Node parent)`
  This pair of methods are used to inform the node of its parent.
  `void`
  `setText(String text)`
  `String`
  `toString()`
  `void`
  `visit(EJBQLExpressionVisitor visitor)`
  A recursive visit method that passes a visitor to this node and all its children, depth first.
  `protected boolean`
  `visitChild(EJBQLExpressionVisitor visitor, int childIndex)`
  Recursively visits a child at the specified index.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EJBQLNegative

    public EJBQLNegative(int id)

- ## Method Details

  - ### visitNode

    protected boolean visitNode(EJBQLExpressionVisitor visitor)
    Description copied from class: `SimpleNode`
    Visits this node without recursion. Default implementation simply returns true. Subclasses override this method to call an appropriate visitor method.
    Overrides:
      `visitNode` in class `SimpleNode`